package org.springblade.modules.sqjw.userInfo.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.sqjw.userInfo.entity.UserInfoEntity;
import org.springblade.modules.sqjw.userInfo.excel.UserInfoExcel;
import org.springblade.modules.sqjw.userInfo.mapper.UserInfoMapper;
import org.springblade.modules.sqjw.userInfo.service.IUserInfoService;
import org.springblade.modules.sqjw.userInfo.vo.UserInfoVO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 社区警务-派出所信息 服务实现类
 *
 * @author BladeX
 * @since 2024-02-21
 */
@Service
public class UserInfoServiceImpl extends BaseServiceImpl<UserInfoMapper, UserInfoEntity> implements IUserInfoService {

	@Override
	public IPage<UserInfoVO> selectUserInfoPage(IPage<UserInfoVO> page, Map<String, Object> params) {
		return page.setRecords(baseMapper.selectUserInfoPage(page, params));
	}

	@Override
	public List<UserInfoExcel> exportUserInfo(Map<String, Object> params) {
		List<UserInfoExcel> userInfoList = baseMapper.exportUserInfo(params);
		return userInfoList;
	}

	@Override
	public UserInfoVO getDetail(Map<String, Object> params) {
		return baseMapper.getDetail(params);
	}

	@Override
	public boolean mfjgl(Map<String, Object> params) {
		return baseMapper.mfjgl(params);
	}

	@Override
	public void updateSszrqByUserId(Long userId, String deptIds) {
		baseMapper.updateSszrqByUserId(userId, deptIds);
	}

	@Override
	public int getSzNum(String gzdwmc, String jh) {
		return baseMapper.getSzNum(gzdwmc, jh);
	}
}
